<template>
  <v-layout align-start grow class="writing-tabs">
    <v-flex
      v-for="(item, index) in tabs"
      :key="index"
      @mousedown="setTab(index)"
      class="writing-tabs__tab elevation-0 ma-0"
      :class="{'writing-tabs__tab_active-tab': activeTab === index}"
    >{{item.description}}</v-flex>
  </v-layout >
</template>

<script>
import tabs from '../../Activity/Mocks/Tabs';

export default {
  props: {
    tabs: {
      type: Array,
      default: () => tabs,
    },
    activeTab: {
      type: Number,
      default: 0,
    },
  },
  methods: {
    setTab(tab) {
      this.$emit('setTab', tab);
    },
  },
};
</script>

<style lang="sass" scoped>
  .writing-tabs
    user-select: none
    width: 100%
    &__tab
      border-right: 1px solid #E0E0E0
      cursor: pointer
      text-align: center
      font-size: 14px
      padding: 20px
      background: #EFEFF4
      color: #808080
      &_active-tab
        color: #fff
        background: #3C317F
</style>
